/* ######## Font ######## */
/* 프리텐다드 */
@font-face {
  font-family: 'Pretendard-Regular';
  src: url('https://fastly.jsdelivr.net/gh/Project-Noonnu/noonfonts_2107@1.1/Pretendard-Regular.woff') format('woff');
  font-weight: 400;
  font-style: normal;
}

@font-face {
  font-family: 'Pretendard-Medium';
  src: url('https://fastly.jsdelivr.net/gh/Project-Noonnu/noonfonts_2107@1.1/Pretendard-Medium.woff') format('woff');
  font-weight: 500;
  font-style: normal;
}

@font-face {
  font-family: 'Pretendard-SemiBold';
  src: url('https://fastly.jsdelivr.net/gh/Project-Noonnu/noonfonts_2107@1.1/Pretendard-SemiBold.woff') format('woff');
  font-weight: 600;
  font-style: normal;
}

@font-face {
  font-family: 'Pretendard-Bold';
  src: url('https://fastly.jsdelivr.net/gh/Project-Noonnu/noonfonts_2107@1.1/Pretendard-Bold.woff') format('woff');
  font-weight: 700;
  font-style: normal;
}

@font-face {
  font-family: 'Pretendard-ExtraBold';
  src: url('https://fastly.jsdelivr.net/gh/Project-Noonnu/noonfonts_2107@1.1/Pretendard-ExtraBold.woff') format('woff');
  font-weight: 800;
  font-style: normal;
}

@font-face {
  font-family: 'Pretendard-Black';
  src: url('https://fastly.jsdelivr.net/gh/Project-Noonnu/noonfonts_2107@1.1/Pretendard-Black.woff') format('woff');
  font-weight: 900;
  font-style: normal;
}

/* 에스코어드림 */
@font-face {
  font-family: 'S-CoreDream-3Light';
  src: url('https://fastly.jsdelivr.net/gh/projectnoonnu/noonfonts_six@1.2/S-CoreDream-3Light.woff') format('woff');
  font-weight: normal;
  font-style: normal;
}

/* ######## Reset CSS ######## */
* {
  box-sizing: border-box;
}
body {
  font-size: 16px;
  margin: 0;
  color: #000;
  font-family: Pretendard-Regular;
}
a {
  text-decoration: none;
  color: #000;
}
ul, li {
  margin: 0;
  padding: 0;
  list-style: none;
}
input, button {
  outline: none;
}
h1, h2, h3, h4, h5, h6 {
  font-family: Pretendard-Medium;
  font-weight: normal;
  margin: 0;
}

.wrapper {
  padding: 0 20px;
  margin: 30px auto;
}
/* ######## Header ######## */
.header {
  padding: 28px 10px;
  border-bottom: 2px solid #ccc;
  display: flex;
  justify-content: center;
  align-items: center;
  position: relative;
  background-color: #84CFCA;
}
.header .arrow {
  position: absolute;
  left: 1%;
}
.header .arrow i {
  font-size: 3em;
  transition: 0.3s;
}
.header .arrow:hover i {
  color: #fff;
}
.header a img {
  width: 4em;
  transition: 0.5s;
}
.header a img:hover {
  opacity: 0.75;
}
.links {
  position: absolute;
  right: 1%;
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 10px;
}
.links a {
  font-weight: bold;
  display: inline-block;
  padding: 12px 25px;
  font-size: 1em;
  background-color: #000;
  color: #fff;
  border-radius: 25px;
  transition: 0.3s;
}
.links a:hover {
  background-color: #fff;
  color: #000;
}

/* ######## 리스트 화면 ######## */
.best-wrapper {
  max-width: 1300px;
  margin: 30px auto;
}
.best-title {
  text-align: center;
  font-size: 25px;
  margin-bottom: 30px;
}
.best-swiper-wrapper {
  position: relative;
}
.best-item a img {
  display: block;
  width: 100%;
  max-width: 300px;
}

.swiper-button-next {
  right: -50px;
}
.swiper-button-prev {
  left: -50px;
}
.swiper-button-next:after,
.swiper-button-prev:after {
  color: #000 !important;
  font-size: 30px !important;
  font-weight: bold !important;
  transition: 0.3s;
}
.swiper-button-next:hover:after,
.swiper-button-prev:hover:after {
  color: #42c0bf !important;
}
.category-wrapper {
  max-width: 600px;
  margin: 30px auto;
}
.category-items {
  display: flex;
  justify-content: center;
  gap: 20px;
}
.category-item {
  flex: 1;
  text-align: center;
}
.category-item a {
  display: block;
  font-size: 18px;
  position: relative;
  transition: 0.3s;
  padding: 15px;
}
.category-item a:hover {
  color: #42c0bf;
}
.category-item a.on {
  color: #42c0bf;
  font-weight: bold;
}
.category-item a.on:after {
  content: '';
  width: 100%;
  height: 2px;
  background-color: #42c0bf;
  position: absolute;
  left: 0;
  bottom: 0;
}
.category-scroll-txt {
  display: none;
}
.review-thum-wrapper {
  margin: 60px auto;
}
.review-thum-lists {
  display: grid;
  grid-template-columns: 1fr 1fr 1fr;
  gap: 20px;
}
.review-thum-list {
  position: relative;
}
.review-thum-list a {
  display: block;
  width: 100%;
  height: 100%;
}
.review-thum img {
  display: block;
  width: 100%;
}
.review-thum-tag {
  display: none !important;
  width: 100%;
  position: absolute;
  left: 0;
  bottom: 0;
  background-color: rgba(0, 0, 0, 0.6);
  padding: 10px;
  display: flex;
  align-items: center;
}
.review-thum-tag span {
  color: #fff;
  font-size: 20px;
  padding: 2% 5px;
}
.empty-text h1 {
  font-size: 3em;
}

/* ######## 읽기 화면 ######## */
.review-read-wrapper {
  margin: 50px 0;
}
.review-read-title {
  font-size: 2.5em;
  font-weight: bold;
}
.review-read-surgery {
  font-size: 2em;
  margin: 20px 0;
  padding: 20px 0;
  text-align: left;
  border-top: 1px solid #eee;
}
.review-read-desc {
  display: flex;
  gap: 30px;
  justify-content: center;
  margin-bottom: 30px;
}
.review-read-desc > div {
  flex: 1;
}
.review-read-desc .detail {
  position: relative;
}
.review-read-desc .detail #google_translate_element {
  position: absolute;
  top: -35px;
  right: 0;
}
.review-read-desc .detail p {
  font-size: 18px;
  line-height: 1.7em;
  word-break: keep-all;
}
.review-read-desc .main-img img {
  width: 100%;
  display: block;
}
.sub-imgs {
  display: grid;
  justify-content: space-between;
  gap: 30px;
}
.sub-imgs.columns3 {
  grid-template-columns: 1fr 1fr 1fr;
  margin-bottom: 30px;
}
.sub-imgs.columns4 {
  grid-template-columns: 1fr 1fr 1fr 1fr;
}
.sub-imgs img {
  display: block;
  width: 100%;
}

/* ######## 셀카 페이지 ######## */
.selfie-wrapper {
  margin: 30px auto;
}
.selfie-items {
  display: grid;
  grid-template-columns: 1fr 1fr 1fr 1fr 1fr;
  gap: 20px;
}
.selfie-item {
  position: relative;
}
.selfie-item:after {
  content: '';
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: rgb(255,255,255);
  background: linear-gradient(180deg, rgba(255,255,255,0) 70%, rgba(0,0,0,1) 100%);
  pointer-events: none;
}
.selfie-info {
  position: absolute;
  width: 100%;
  left: 0;
  bottom: 1.5%;
  display: flex;
  justify-content: space-between;
  align-items: center;
  z-index: 1;
  pointer-events: none;
  padding-right: 10px;
}
.selfie-info .icon {
  width: auto;
}
.selfie-info .part {
  font-family: 'S-CoreDream-3Light';
  font-size: 1.7em;
  color: #fff;
}

.selfie-item .selfie-photo {
  display: block;
  width: 100%;
}


/* ######## 경과 후기 페이지 ######## */
.elapse-item {
  border: 1px solid #ccc;
  padding: 10px;
  margin-bottom: 25px;
}
.elapse-img-list {
  display: grid;
  grid-template-columns: repeat(6, 1fr) ;
  gap: 10px;
}
.elapse-img-list a li {}
.elapse-img-list li img {
  display: block;
  width: 100%;
}
/* ######## Responsive ######## */
@media (max-width: 1500px) {
  /* ######## 셀카 페이지 ######## */
  .selfie-items {
    grid-template-columns: 1fr 1fr 1fr 1fr;
  }
}
@media (max-width: 1300px) {
  .swiper-button-next,
  .swiper-button-prev {
    display: none;
  }
}
@media (max-width: 1100px) {
  /* ######## 셀카 페이지 ######## */
  .selfie-items {
    grid-template-columns: 1fr 1fr 1fr;
  }
  .selfie-info .part {
    font-size: 1.5em;
  }

  /* ######## 경과 후기 페이지 ######## */
  .elapse-img-list {
    grid-template-columns: repeat(3, 1fr);
  }
}
@media (max-width: 992px) {
  /* ######## 리스트 화면 ######## */
  .review-thum-lists {
    grid-template-columns: 1fr 1fr;
  }
  .review-thum-tag span {
    font-size: 18px;
  }

  /* ######## 읽기 화면 ######## */
  .review-read-desc .detail p {
    font-size: 15px;
  }
  .sub-imgs {
    gap: 10px;
  }
  .sub-imgs.columns3 {
    margin-bottom: 10px;
  }
}

@media (max-width: 768px) {
  /* ######## 읽기 화면 ######## */
  .review-read-desc {
    display: block;
    margin-bottom: 20px;
  }
  .review-read-title {
    font-size: 2.2em;
  }
  .review-read-surgery {
    font-size: 1.7em;
  }
  .review-read-desc .detail {
    margin-bottom: 20px;
  }
  .review-read-desc .detail p {
    font-size: 14px;
  }
  .sub-imgs {
    gap: 20px;
  }
  .sub-imgs.columns3 {
    margin-bottom: 20px;
  }
  .sub-imgs.columns3,
  .sub-imgs.columns4 {
    grid-template-columns: 1fr;
  }

  /* ######## 셀카 페이지 ######## */
  .selfie-items {
    grid-template-columns: 1fr 1fr;
  }
  .selfie-info .part {
    font-size: 1.5em;
  }

  /* ######## 경과 후기 페이지 ######## */
  .elapse-img-list {
    grid-template-columns: repeat(2, 1fr);
  }
}
@media (max-width: 600px) {
  /* ######## Header ######## */
  .links {
    flex-direction: column;
    gap: 4px;
  }
  .links a {
    padding: 10px 20px;
    font-size: 13px;
  }
  /* ######## 리스트 화면 ######## */
  .category-wrapper {
    overflow-x: scroll;
  }
  .category-wrapper::-webkit-scrollbar {
    display: none;
}
  .category-items {
    width: 600px;
    padding-bottom: 10px;
  }
  .category-scroll-txt {
    display: inline-block;
    font-size: 10px;
    color: #ddd;
  }
  .review-thum-wrapper {
    margin: 30px 0;
  }
}

@media (max-width: 500px) {
  .wrapper {
    padding: 0 10px;
  }
  /* ######## Header ######## */
  .header {
    padding: 20px 10px;
  }
  .category-links a i {
    font-size: 2.5em;
  }
  /* ######## 리스트 화면 ######## */
  .best-title {
    font-size: 22px;
  }
  .review-thum-lists {
    grid-template-columns: 1fr;
    gap: 10px;
  }
  .review-thum-tag span {
    font-size: 15px;
    padding: 1% 5px;
  }

  /* ######## 셀카 페이지 ######## */
  .selfie-items {
    grid-template-columns: 1fr;
  }
}
